public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
* [gentoo-commits] proj/gnome:gnome-next commit in: dev-python/pyatspi/, dev-python/pyatspi/files/
@ 2011-08-16 18:49 Alexandre Restovtsev
  0 siblings, 0 replies; 2+ messages in thread
From: Alexandre Restovtsev @ 2011-08-16 18:49 UTC (permalink / raw
  To: gentoo-commits

commit:     406e4a4d8cb39dbb06748a30a78a4b96117e4071
Author:     Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Tue Aug 16 18:43:32 2011 +0000
Commit:     Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Tue Aug 16 18:49:06 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=406e4a4d

dev-python/pyatspi: 2.1.4 → 2.1.5

Version bump with minor changes; add an upstream patch to add missing
quotes at the end of a documentation string.

---
 .../pyatspi/files/pyatspi-2.1.5-quotes.patch       |   24 ++++++++++++++++++++
 .../{pyatspi-2.1.4.ebuild => pyatspi-2.1.5.ebuild} |    5 +++-
 2 files changed, 28 insertions(+), 1 deletions(-)

diff --git a/dev-python/pyatspi/files/pyatspi-2.1.5-quotes.patch b/dev-python/pyatspi/files/pyatspi-2.1.5-quotes.patch
new file mode 100644
index 0000000..8d9759d
--- /dev/null
+++ b/dev-python/pyatspi/files/pyatspi-2.1.5-quotes.patch
@@ -0,0 +1,24 @@
+From 890bd73c60d542023a71767d4f6e9925147dc2cc Mon Sep 17 00:00:00 2001
+From: Luke Yelavich <luke.yelavich@canonical.com>
+Date: Tue, 16 Aug 2011 13:21:29 +1000
+Subject: [PATCH] Add accidentally dropped closing quotes for documentation
+
+---
+ pyatspi/text.py |    1 +
+ 1 files changed, 1 insertions(+), 0 deletions(-)
+
+diff --git a/pyatspi/text.py b/pyatspi/text.py
+index 0c08e22..1a3381d 100644
+--- a/pyatspi/text.py
++++ b/pyatspi/text.py
+@@ -466,6 +466,7 @@ class Text:
+                 the resulting substring, if one exists. 
+                 @return a string which is a substring of the text content of
+                 the object, delimited by the specified boundary condition.
++                """
+                 ret = exwrap(Atspi.Text.get_text_before_offset, self.obj, offset, type)
+                 return textRangeToList(ret)
+ 
+-- 
+1.7.6
+

diff --git a/dev-python/pyatspi/pyatspi-2.1.4.ebuild b/dev-python/pyatspi/pyatspi-2.1.5.ebuild
similarity index 92%
rename from dev-python/pyatspi/pyatspi-2.1.4.ebuild
rename to dev-python/pyatspi/pyatspi-2.1.5.ebuild
index ec0767e..e663478 100644
--- a/dev-python/pyatspi/pyatspi-2.1.4.ebuild
+++ b/dev-python/pyatspi/pyatspi-2.1.5.ebuild
@@ -9,7 +9,7 @@ PYTHON_DEPEND="2:2.4"
 SUPPORT_PYTHON_ABIS="1"
 RESTRICT_PYTHON_ABIS="3.* *-jython"
 
-inherit gnome2 python
+inherit eutils gnome2 python
 
 DESCRIPTION="Python binding to at-spi library"
 HOMEPAGE="http://live.gnome.org/Accessibility"
@@ -45,6 +45,9 @@ pkg_setup() {
 src_prepare() {
 	gnome2_src_prepare
 
+	# Fix missing quotes, will be in next release
+	epatch "${FILESDIR}/${P}-quotes.patch"
+
 	# disable pyc compiling
 	mv config/py-compile config/py-compile.orig
 	ln -s $(type -P true) config/py-compile



^ permalink raw reply related	[flat|nested] 2+ messages in thread

* [gentoo-commits] proj/gnome:gnome-next commit in: dev-python/pyatspi/, dev-python/pyatspi/files/
@ 2011-08-30  5:37 Alexandre Restovtsev
  0 siblings, 0 replies; 2+ messages in thread
From: Alexandre Restovtsev @ 2011-08-30  5:37 UTC (permalink / raw
  To: gentoo-commits

commit:     a54c8589a29917fbd829bb49ad22db4e932a728d
Author:     Alexandre Rostovtsev <tetromino <AT> gmail <DOT> com>
AuthorDate: Tue Aug 30 04:11:55 2011 +0000
Commit:     Alexandre Restovtsev <tetromino <AT> gmail <DOT> com>
CommitDate: Tue Aug 30 04:11:55 2011 +0000
URL:        http://git.overlays.gentoo.org/gitweb/?p=proj/gnome.git;a=commit;h=a54c8589

dev-python/pyatspi: 2.1.5 → 2.1.90

Version bump, brings full pygobject:3 compatibility. Patch applied
upstream.

---
 .../pyatspi/files/pyatspi-2.1.5-quotes.patch       |   24 --------------------
 ...{pyatspi-2.1.5.ebuild => pyatspi-2.1.90.ebuild} |    7 +----
 2 files changed, 2 insertions(+), 29 deletions(-)

diff --git a/dev-python/pyatspi/files/pyatspi-2.1.5-quotes.patch b/dev-python/pyatspi/files/pyatspi-2.1.5-quotes.patch
deleted file mode 100644
index 8d9759d..0000000
--- a/dev-python/pyatspi/files/pyatspi-2.1.5-quotes.patch
+++ /dev/null
@@ -1,24 +0,0 @@
-From 890bd73c60d542023a71767d4f6e9925147dc2cc Mon Sep 17 00:00:00 2001
-From: Luke Yelavich <luke.yelavich@canonical.com>
-Date: Tue, 16 Aug 2011 13:21:29 +1000
-Subject: [PATCH] Add accidentally dropped closing quotes for documentation
-
----
- pyatspi/text.py |    1 +
- 1 files changed, 1 insertions(+), 0 deletions(-)
-
-diff --git a/pyatspi/text.py b/pyatspi/text.py
-index 0c08e22..1a3381d 100644
---- a/pyatspi/text.py
-+++ b/pyatspi/text.py
-@@ -466,6 +466,7 @@ class Text:
-                 the resulting substring, if one exists. 
-                 @return a string which is a substring of the text content of
-                 the object, delimited by the specified boundary condition.
-+                """
-                 ret = exwrap(Atspi.Text.get_text_before_offset, self.obj, offset, type)
-                 return textRangeToList(ret)
- 
--- 
-1.7.6
-

diff --git a/dev-python/pyatspi/pyatspi-2.1.5.ebuild b/dev-python/pyatspi/pyatspi-2.1.90.ebuild
similarity index 91%
rename from dev-python/pyatspi/pyatspi-2.1.5.ebuild
rename to dev-python/pyatspi/pyatspi-2.1.90.ebuild
index e663478..bbaa8b7 100644
--- a/dev-python/pyatspi/pyatspi-2.1.5.ebuild
+++ b/dev-python/pyatspi/pyatspi-2.1.90.ebuild
@@ -9,7 +9,7 @@ PYTHON_DEPEND="2:2.4"
 SUPPORT_PYTHON_ABIS="1"
 RESTRICT_PYTHON_ABIS="3.* *-jython"
 
-inherit eutils gnome2 python
+inherit gnome2 python
 
 DESCRIPTION="Python binding to at-spi library"
 HOMEPAGE="http://live.gnome.org/Accessibility"
@@ -21,7 +21,7 @@ KEYWORDS="~amd64 ~x86"
 IUSE="test"
 
 COMMON_DEPEND="dev-python/dbus-python
-	>=dev-python/pygobject-2.26:2
+	|| ( >=dev-python/pygobject-2.26:2[introspection] dev-python/pygobject:3 )
 "
 RDEPEND="${COMMON_DEPEND}
 	>=sys-apps/dbus-1
@@ -45,9 +45,6 @@ pkg_setup() {
 src_prepare() {
 	gnome2_src_prepare
 
-	# Fix missing quotes, will be in next release
-	epatch "${FILESDIR}/${P}-quotes.patch"
-
 	# disable pyc compiling
 	mv config/py-compile config/py-compile.orig
 	ln -s $(type -P true) config/py-compile



^ permalink raw reply related	[flat|nested] 2+ messages in thread

end of thread, other threads:[~2011-08-30  5:38 UTC | newest]

Thread overview: 2+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2011-08-16 18:49 [gentoo-commits] proj/gnome:gnome-next commit in: dev-python/pyatspi/, dev-python/pyatspi/files/ Alexandre Restovtsev
  -- strict thread matches above, loose matches on Subject: below --
2011-08-30  5:37 Alexandre Restovtsev

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox